<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="imageFile"
            type="com.datarecovery.master.utils.ImageDeepDetector.ImageFile" />
    </data>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <com.github.chrisbanes.photoview.PhotoView
            android:id="@+id/preview_img"
            imageUri="@{imageFile.uri}"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

        </com.github.chrisbanes.photoview.PhotoView>


        <com.datarecovery.master.widget.WatermarkView
            android:id="@+id/watermark_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:watermark_color="#6d6d6d"
            app:watermark_text="@string/export_without_watermark"
            app:watermark_textSize="14sp">

        </com.datarecovery.master.widget.WatermarkView>

    </FrameLayout>
</layout>